## org.w3c.jigsaw.http.socket
Class SocketClientState

    java.lang.Object
      |
      +--org.w3c.jigsaw.http.socket.SocketClientState

public class SocketClientState
extends java.lang.Object
implements LRUAble

Method Summary
`LRUAble` `getNext()`
`LRUAble` `getPrev()`
`void` `setNext(LRUAble next)`
`void` `setPrev(LRUAble prev)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getNext

    public final LRUAble getNext()

  Specified by:
    getNext in interface LRUAble

### getPrev

    public final LRUAble getPrev()

  Specified by:
    getPrev in interface LRUAble

### setNext

    public final void setNext(LRUAble next)

  Specified by:
    setNext in interface LRUAble

### setPrev

    public final void setPrev(LRUAble prev)

  Specified by:
    setPrev in interface LRUAble